/*
 * $Id: IPv4MaskPair.java,v 1.2 2005/06/21 15:28:05 rampil Exp $
 * Copyright (c) 2005 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.common.net;

import java.net.InetAddress;

/**
 * IPv4MaskPair
 * IPv4形式のIPアドレスとネットマスクのペア
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
class IPv4MaskPair {
	/** IPアドレス */
	private final InetAddress ipAddress;
	/** ネットマスクパターン */
	private final InetAddress netmask;

	/**
	 * コンストラクタ
	 * @param ip IPアドレス部
	 * @param nmask ネットマスク部
	 */
	IPv4MaskPair(InetAddress ip, InetAddress nmask) {
		ipAddress = ip;
		netmask = nmask;
	}
	/**
	 * IPアドレスを返す
	 * @return IPアドレス
	 */
	InetAddress getIPAddress() {
		return ipAddress;
	}
	/**
	 * ネットマスクを返す
	 * @return ネットマスク
	 */
	InetAddress getNetmask() {
		return netmask;
	}
}

// end of IPv4MaskPair.java
